> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abusix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tags



## OpenAPI

````yaml get /tags
openapi: 3.0.0
info:
  version: 0.1.0
  title: Guardian Intelligence API
servers:
  - url: https://threat-intel-api.abusix.com/beta/
    description: Abusix Guardian Intel API
security: []
paths:
  /tags:
    get:
      tags:
        - tags
      parameters:
        - schema:
            type: boolean
            description: >-
              Include the full description in the response or not. Default is
              false.
          required: false
          description: >-
            Include the full description in the response or not. Default is
            false.
          name: includeDescriptions
          in: query
      responses:
        '200':
          description: Get all tags
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  statusCode:
                    type: number
                    minimum: 0
                    exclusiveMinimum: true
                    example: 200
                  result:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        intent:
                          type: string
                          enum:
                            - malicious
                            - suspicious
                            - unknown
                            - none
                        category:
                          type: string
                          enum:
                            - activity
                            - tool
                            - actor
                            - none
                        description:
                          type: string
                          description: >-
                            A description about the tag. Only included if
                            includeDescriptions is set to true.
                      required:
                        - name
                        - intent
                        - category
                required:
                  - status
                  - statusCode
                  - result

````